### Enumeration

# WebKit FaviconDatabaseError

unstable since: 6.0

#### Declaration

    error-domain WebKit.FaviconDatabaseError

#### Description [src]

Enum values used to denote the various errors related to the `WebKitFaviconDatabase`.

Available since: 6.0

#### Members

`WEBKIT_FAVICON_DATABASE_ERROR_NOT_INITIALIZED`

  The `WebKitFaviconDatabase` is closed.

  - Value: `0`
  - Nickname: `not-initialized`
  - Available since: 6.0
`WEBKIT_FAVICON_DATABASE_ERROR_FAVICON_NOT_FOUND`

  There is not an icon available for the requested URL.

  - Value: `1`
  - Nickname: `favicon-not-found`
  - Available since: 6.0
`WEBKIT_FAVICON_DATABASE_ERROR_FAVICON_UNKNOWN`

  There might be an icon for the requested URL, but its data is unknown at the moment.

  - Value: `2`
  - Nickname: `favicon-unknown`
  - Available since: 6.0

#### Type functions

###### webkit_favicon_database_error_quark

Gets the quark for the domain of favicon database errors.

unstable since: 6.0